Resolve Paywall

POST
/api/v1/sdk/resolve-paywall

Header Parameters

x-distinct-id*string
x-publishable-key*string
x-client-bundle-id*string
x-client-locale?string|null
x-client-version?string|null
x-is-backgrounded*"false"

Value in

  • "false"
x-is-debug-build*string

Value in

  • "true"
  • "false"
x-nonce?string|null
x-observer-mode*string

Value in

  • "true"
  • "false"
x-platform*string
x-platform-brand?string|null
x-platform-device?string|null
x-platform-flavor*string

Value in

  • "native"
  • "browser"
x-platform-flavor-version?string|null
x-platform-version?string|null
x-preferred-locales?string|null
x-sdk*string

Value in

  • "react-native"
  • "web"
x-sdk-version*string
x-storefront?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

locationSlug*string

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/sdk/resolve-paywall" \  -H "x-distinct-id: string" \  -H "x-publishable-key: string" \  -H "x-client-bundle-id: string" \  -H "x-is-backgrounded: false" \  -H "x-is-debug-build: true" \  -H "x-observer-mode: true" \  -H "x-platform: string" \  -H "x-platform-flavor: native" \  -H "x-sdk: react-native" \  -H "x-sdk-version: string" \  -H "Content-Type: application/json" \  -d '{    "locationSlug": "string"  }'
{  "location": {    "id": "string",    "name": "string",    "slug": "string"  },  "showing": {    "id": "string",    "paywall": {      "id": "string",      "name": "string",      "slug": "string"    },    "paywallId": "string",    "paywallRelease": {      "htmlUrl": "string",      "publishedAt": "string",      "releaseId": "string",      "runtime": {        "contentHash": "string",        "productSlugs": [          "string"        ],        "variables": {          "property1": "string",          "property2": "string"        }      },      "version": 0    },    "paywallReleaseId": "string",    "startedAt": "string",    "type": "paywall_release"  }}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}